﻿@{
   ViewData["Title"] = "Преподаватели";
   Layout = "_PeopleLayout"; 
}


@section scripts
{
    <script>
        $(function () {
            $.getJSON('/json/people.json', function (data) {
                if (data.length) {
                    for (let i = 0; i < data.length; i++) {
                        let name = $("<h2></h2>").text(data[i]["name"]);
                        let description = $("<p></p>").text(data[i]["description"]);
                        let image = $("<td></td>").append($("<img/>").attr("src", data[i]["image"]));
                        let email = $("<p></p>").text(data[i]["email"]);
                        let tel = $("<p></p>").text(data[i]["tel"]);
                        let address = $("<p></p>").text(data[i]["address"]);

                        let info = $("<td></td>").attr("class", "info").append(name, description, email, tel, address);

                        $("body").append($("<table></table>").attr("class", "people").append($("<tr></tr>").append(image, info)));
                    }
                }
            })
        });
    </script>
}